import { Colors } from './enum';

export enum BountyCheckStatusEnum {
  /**
   * 未提交
   */
  NotSubmit = -10,
  /**
   * 待审核
   */
  WaitCheck = 10,
  /**
   * 审核通过
   */
  CheckPassed = 20,
  /**
   * 审核不通过
   */
  CheckReject = 30,
}

export const BountyCheckStatusEnumText = {
  [BountyCheckStatusEnum.WaitCheck]: '待审核',
  [BountyCheckStatusEnum.CheckPassed]: '审核通过',
  [BountyCheckStatusEnum.CheckReject]: '审核未通过',
};
export const BountyCheckStatusEnumTextForAudit = {
  [BountyCheckStatusEnum.CheckPassed]: '审核通过',
  [BountyCheckStatusEnum.CheckReject]: '驳回',
};

export const BountyCheckStatusEnumColor = {
  [BountyCheckStatusEnum.NotSubmit]: '',
  [BountyCheckStatusEnum.WaitCheck]: Colors.Warning,
  [BountyCheckStatusEnum.CheckPassed]: Colors.Success,
  [BountyCheckStatusEnum.CheckReject]: Colors.Danger,
};

export enum SettleStatusEnum {
  /**
   * 待充值
   */
  WaitForSettle = 1,
  /**
   * 已充值
   */
  HasSettle = 2,
  /**
   * 无需充值
   */
  NoNeed = -1,
}

export const SettleStatusEnumText = {
  [SettleStatusEnum.WaitForSettle]: '待充值',
  [SettleStatusEnum.HasSettle]: '已充值',
  [SettleStatusEnum.NoNeed]: '无需充值',
};
export const SettleStatusEnumTextV2 = {
  [SettleStatusEnum.WaitForSettle]: '待登记',
  [SettleStatusEnum.HasSettle]: '已登记',
  [SettleStatusEnum.NoNeed]: '无需登记',
};

export enum FinanceStatusEnum {
  /**
   * 待拨付
   */
  WaitForIncome = 1,
  /**
   * 已拨付
   */
  HasIncome = 2,
}

export const FinanceStatusEnumText = {
  [FinanceStatusEnum.WaitForIncome]: '待拨付',
  [FinanceStatusEnum.HasIncome]: '已拨付',
};

export const FinanceStatusEnumTextV2 = {
  [FinanceStatusEnum.WaitForIncome]: '待登记',
  [FinanceStatusEnum.HasIncome]: '已登记',
};

export enum IncomeStatusEnum {
  /**
   * 待入账
   */
  WaitForIncome = 1,
  /**
   * 已入账
   */
  HasIncome = 2,
}

export const IncomeStatusEnumText = {
  [IncomeStatusEnum.WaitForIncome]: '待入账',
  [IncomeStatusEnum.HasIncome]: '已入账',
};

export enum EnterpriseBountyPayTypeEnum {
  /**出金 */
  PayOut = 10,
  /**入金 */
  PayIn = 20,
}

export const EnterpriseBountyPayTypeEnumText = {
  [EnterpriseBountyPayTypeEnum.PayOut]: '出金',
  [EnterpriseBountyPayTypeEnum.PayIn]: '入金',
};

export enum IncomeTypeEnum {
  /**财政拨付 */
  Fiscal = 10,
  /**平台充值 */
  Platform = 20,
}

export const IncomeTypeEnumText = {
  [IncomeTypeEnum.Fiscal]: '财政拨付',
  [IncomeTypeEnum.Platform]: '平台充值',
};

export enum EnterpriseRechargeStatusEnum {
  /**待审核 */
  WaitCheck = 10,
  /**审核通过 */
  CheckPassed = 20,
  /**驳回 */
  CheckReject = 30,
}

export const EnterpriseRechargeStatusEnumText = {
  [EnterpriseRechargeStatusEnum.WaitCheck]: '待审核',
  [EnterpriseRechargeStatusEnum.CheckPassed]: '审核通过',
  [EnterpriseRechargeStatusEnum.CheckReject]: '驳回',
};

export const EnterpriseRechargeStatusEnumTextForAdudit = {
  [EnterpriseRechargeStatusEnum.CheckPassed]: '通过',
  [EnterpriseRechargeStatusEnum.CheckReject]: '驳回',
};

export enum BillStatusEnum {
  /**未上传 */
  NotUpload = 10,
  /**待完善 */
  NeedUpload = 20,
  /**已上传 */
  HasUpload = 30,
}

export const BillStatusEnumText = {
  [BillStatusEnum.NotUpload]: '未上传',
  [BillStatusEnum.NeedUpload]: '待完善',
  [BillStatusEnum.HasUpload]: '已上传',
};
